HADOOP部署后运行报错?

RHEL5.8+JRE1.7+HADOOP2.6.5(3.1.0也一样报错后,改用V2.6.5版本)
运行报错如下:

hadoop@hmaster>hadoop fs -help

Exception in thread "main" java.lang.UnsupportedClassVersionError: org/apache/hadoop/fs/FsShell : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)
hadoop@hmaster>

1回答

priestpriest  系统架构师 , None
wuwenpinaixchina赞同了此回答
你这个项目部署的时候编译时的JDK版本与当前环境版本不一致导致显示全部

你这个项目部署的时候编译时的JDK版本与当前环境版本不一致导致

收起
 2018-07-12
  • 解决策略:1、用jdk1.7版本重新编译打包项目 2、将部署环境中的jdk运行环境版本升级至1.8(最好与编译时的JDK版本、参数及厂商保持一致)
    2018-07-12

提问者

Amol1984系统工程师, YuSYS

问题状态

  • 发布时间:2018-06-28
  • 关注会员:3 人
  • 问题浏览:1199
  • 最近回答:2018-07-12
  • 关于TWT  使用指南  社区专家合作  厂商入驻社区  企业招聘  投诉建议  版权与免责声明  联系我们
    © 2019  talkwithtrend — talk with trend,talk with technologist 京ICP备09031017号-30